
{% extends 'base2.html' %}
{% load static %}

    {% block meta %}
    <title>Formulir Susun Jadwal</title>
    {% endblock meta %}

    {% block content %}
    <nav class="navbar navbar-custom navbar-dark">
        <div class="container-fluid">
            <span class="navbar-brand mx-auto mb-0"><h2>MATA KULIAH</h2></span>
        </div>
    </nav>

    <div class="container mx-auto">
        <a href="{% url 'list' %}" class="mx-auto">
            <button type="button" class="btn mx-auto my-3 btn-lg btn-success mb-2">LIHAT DAFTAR MATA KULIAH</button>
        </a>
    </div>

    <div class="container mx-auto my-3 text-center">
        <h3>Tambah Mata Kuliah</h3>
        <form class="text-center" action="{% url 'save' %}" method="POST">
            {% csrf_token %}
            <div class="form-group row">
                <label class="col-md-6 col-form-label">Nama Mata Kuliah :</label>
                <div class="col-md-1">
                {{ form.nama_matkul }}
                </div>
            </div>
            <div class="form-group row">
                <label class="col-md-6 col-form-label">Dosen Pengampu :</label>
                <div class="col-md-1">
                {{ form.dosen_matkul }}
                </div>
            </div>
            <div class="form-group row">
                <label class="col-md-6 col-form-label">Jumlah SKS :</label>
                <div class="col-md-1">
                {{ form.sks_matkul }}
                </div>
            </div>
            <div class="form-group row">
                <label class="col-md-6 col-form-label">Deskripsi :</label>
                <div class="col-md-1">
                {{ form.desc_matkul }}
                </div>
            </div>
            <div class="form-group row">
                <label class="col-md-6 col-form-label">Semester :</label>
                <div class="col-md-1">
                {{ form.smt_matkul }}
                </div>
            </div>
            <div class="form-group row">
                <label class="col-md-6 col-form-label">Tahun Ajaran :</label>
                <div class="col-md-1">
                {{ form.tahun_matkul }}
                </div>
            </div>
            <div class="form-group row">
                <label class="col-md-6 col-form-label">Ruang :</label>
                <div class="col-md-1">
                {{ form.gedung_matkul}}
                </div>
            </div>
            <div class="row">
                <div class="col-md-10">
                    <button type="submit" class="btn btn-lg btn-primary mb-2">Save</button>
                </div>
            </div>
        </form>     
    </div>

  

  {% if matkuls %}
    <div class="container my-5">
        <div class="box2 card mx-auto mb-3">
        <div class="card-header h3">Hapus Mata Kuliah</div>
            <div class="card-body">
                <table class="table table-hover table-striped">
                <tbody>
                    {% for matkul in matkuls %}
                    <tr>
                        <td><h4 class="text-dark">{{ matkul.nama_matkul }}</h4></td>
                        <td>
                            <!-- Button trigger modal -->
                            <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#exampleModalCenter{{ matkul.id}}">
                                Delete
                            </button>
                            
                            <!-- Modal -->
                            <div class="modal fade" id="exampleModalCenter{{ matkul.id }}" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
                                <div class="modal-dialog modal-dialog-centered" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="exampleModalCenterTitle">HAPUS MATA KULIAH</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <h4>Apakah anda ingin menghapus {{ matkul.nama_matkul }} dari daftar?</h4>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Tidak</button>
                                        <form class="text-center" action="{% url 'delete' matkul.id %}" method="POST">
                                            {% csrf_token %}
                                            <button type="submit" class="btn btn-danger">Hapus</button>
                                        </form>
                                    </div>
                                </div>
                                </div>
                            </div>
                        </td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
            </div>
        </div>
    </div>
    {% endif %}
    
    


    {% endblock content %}